#include <bits/stdc++.h>
using namespace std;
int main(){
    int n,l,t;
    cin >> n >> l;
    for(int i = 0; i < n; i++){
        cin >> t;
        if(t <= l){
            cout << i+1;
            return 0; 
        }
    }
    cout << -1;
    return 0;
}